org.apache.lucene.queryparser.flexible.core.nodes

## Class ProximityQueryNode.ProximityType

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.ProximityQueryNode.ProximityType

- Enclosing class:
    ProximityQueryNode

      public static class ProximityQueryNode.ProximityType
      extends Object

  utility class containing the distance condition and number

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProximityQueryNode.ProximityType(ProximityQueryNode.Type type)`
    `ProximityQueryNode.ProximityType(ProximityQueryNode.Type type, int distance)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProximityQueryNode.ProximityType

          public ProximityQueryNode.ProximityType(ProximityQueryNode.Type type)

    - #### ProximityQueryNode.ProximityType

          public ProximityQueryNode.ProximityType(ProximityQueryNode.Type type,
                                          int distance)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.